Bug 1627318 - dput-ng: Remove packages from Fedora 30+: python2-dput
Summary: dput-ng: Remove packages from Fedora 30+: python2-dput
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dput-ng
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Kuhn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2018-09-10 15:24 UTC by Miro Hrončok
Modified: 2018-09-24 20:33 UTC (History)
7 users (show)

Fixed In Version: dput-ng-1.21-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-24 20:33:52 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2018-09-10 15:24:19 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of dput-ng were marked for removal:

 * python2-dput

According to our query, those packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2018-09-18 11:07:01 UTC
dput-ng requires python2-dput, so this is false positive.

However, this seems very dead upstream. Is it still used in Debian? Can we ditch it entirely?

Comment 2 Miro Hrončok 2018-09-24 15:45:56 UTC
Can we ditch it entirely?

Comment 3 Michael Kuhn 2018-09-24 20:22:44 UTC
Sorry for the late reply. dput-ng is still used and I have just pushed an update to version 1.21 that gets rid of the Python 2 subpackage.

Comment 4 Miro Hrončok 2018-09-24 20:33:52 UTC
Python 3 \o/

Thank you.


Note You need to log in before you can comment on or make changes to this bug.